CFB_CipherConcretePolicy< WT, W, BASE > Class Template Reference

Base class for feedback based stream ciphers. More...

Inheritance diagram for CFB_CipherConcretePolicy< WT, W, BASE >:

## Classes

struct | RegisterOutput

## Public Types

typedef WT | WordType

## Public Member Functions

unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
bool | CanIterate () const
| Flag indicating iteration support. More...
void | TransformRegister ()
| Perform one iteration in the forward direction.

## Detailed Description

### template<typename WT, unsigned int W, class BASE = CFB_CipherAbstractPolicy>
class CFB_CipherConcretePolicy< WT, W, BASE >

Base class for feedback based stream ciphers.

Template Parameters

  WT | word type
  W | count of words
  BASE | CFB_CipherAbstractPolicy derived base class

Definition at line 406 of file strciphr.h.

## Member Function Documentation

## GetAlignment()

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>

unsigned int CFB_CipherConcretePolicy< WT, W, BASE >::GetAlignment | ( |  | ) | const

inline

Provides data alignment requirements.

Returns
  data alignment requirements, in bytes

Internally, the default implementation returns 1. If the stream cipher is implemented using an SSE2 ASM or intrinsics, then the value returned is usually 16.

Definition at line 414 of file strciphr.h.

## GetBytesPerIteration()

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>

unsigned int CFB_CipherConcretePolicy< WT, W, BASE >::GetBytesPerIteration | ( |  | ) | const

inline

Provides number of bytes operated upon during an iteration.

Returns
  bytes operated upon during an iteration, in bytes

See also
  GetOptimalBlockSize()

Definition at line 419 of file strciphr.h.

## CanIterate()

template<typename WT , unsigned int W, class BASE = CFB_CipherAbstractPolicy>

bool CFB_CipherConcretePolicy< WT, W, BASE >::CanIterate | ( |  | ) | const

inline

Flag indicating iteration support.

Returns
  true if the cipher supports iteration, false otherwise

Definition at line 423 of file strciphr.h.

The documentation for this class was generated from the following file:

- strciphr.h